import 'models/user_response.dart';

abstract class UsersRepository {
  Future<UserResponse> getMe();
  Future<UserResponse> updateMe(UserUpdateRequest request);
  Future<List<UserResponse>> searchUsers(String query);
}
